Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding
Class JXPathBindingBuilderBase

    java.lang.Object
      org.apache.cocoon.forms.binding.JXPathBindingBuilderBase

All Implemented Interfaces:
  JXPathBindingBuilder

Direct Known Subclasses:
  AggregateJXPathBindingBuilder, CaseJXPathBindingBuilder, ClassJXPathBindingBuilder, ContextJXPathBindingBuilder, CustomJXPathBindingBuilder, DeleteNodeJXPathBindingBuilder, ExpandJXPathBindingBuilder, GroupJXPathBindingBuilder, ImportJXPathBindingBuilder, InsertBeanJXPathBindingBuilder, InsertNodeJXPathBindingBuilder, JavaScriptJXPathBindingBuilder, MultiValueJXPathBindingBuilder, NewJXPathBindingBuilder, RepeaterJXPathBindingBuilder, SetAttributeJXPathBindingBuilder, SimpleRepeaterJXPathBindingBuilder, StructJXPathBindingBuilder, TempRepeaterJXPathBindingBuilder, TreeModelJXPathBuilder, UnionJXPathBindingBuilder, ValueJXPathBindingBuilder

public abstract class JXPathBindingBuilderBase
extends Object
implements JXPathBindingBuilder

Abstract base class enabling logging and supporting the interpretation of common configuration settings on all specific implementations of `JXPathBindingBase`. Common supported configurations: `getCommonAttributes(Element)`

- Attribute direction="load|save|both": defaults to 'both'
- Attribute lenient="true|false|[undefined]": defaults to [undefined] which means: "lenient mode inherited from parent"

Version:
  $Id: JXPathBindingBuilderBase.java 587759 2007-10-24 03:00:37Z vgritsenko $

Nested Class Summary
`static class` | `JXPathBindingBuilderBase.CommonAttributes` CommonAttributes is a simple helper class for holding the distinct data member fields indicating the activity of the separate load and save actions of a given binding.

Constructor Summary
`JXPathBindingBuilderBase()`

Method Summary
`protected static JXPathBindingBuilderBase.CommonAttributes` | `getCommonAttributes(Element bindingElm)` Helper method for interpreting the common attributes which are supported on each of the Bindings.
`static JXPathBindingBuilderBase.CommonAttributes` | `mergeCommonAttributes(JXPathBindingBuilderBase.CommonAttributes existing, JXPathBindingBuilderBase.CommonAttributes extra)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.forms.binding.JXPathBindingBuilder
`buildBinding`

Constructor Detail

### JXPathBindingBuilderBase

    public JXPathBindingBuilderBase()

Method Detail

### getCommonAttributes

    protected static JXPathBindingBuilderBase.CommonAttributes getCommonAttributes(Element bindingElm)
                                                                            throws BindingException

  Helper method for interpreting the common attributes which are supported on each of the Bindings. These are
  `@direction` can hold one of the following values:
  1. `'load'`: This binding will only load.
  2. `'save'`: This binding will only save.
  3. `'both'`: This binding will perform both operations.
  `@lenient` can either be:
  1. `'true'`: This binding will set the jxpath context to be lenient towards the usage of inexisting paths on the back-end model.
  2. `'false'`: This binding will set the jxpath context to be strict and throwing exceptions for the usage of inexisting paths on the back-end model.
  3. `(unset)`: This binding will not change the leniency behaviour on the jxpath this binding receives from his parent binding.

  Parameters:
    `bindingElm` -
  Returns:
    an instance of CommonAttributes
  Throws:
    `BindingException`

### mergeCommonAttributes

    public static JXPathBindingBuilderBase.CommonAttributes mergeCommonAttributes(JXPathBindingBuilderBase.CommonAttributes existing,
                                                                                  JXPathBindingBuilderBase.CommonAttributes extra)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.